Bug 740195 - yum-complete-transaction wants to remove hundreds of packages
Summary: yum-complete-transaction wants to remove hundreds of packages
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 15
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Fedora Packaging Toolset Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-21 09:21 UTC by Milan Bouchet-Valat
Modified: 2014-01-21 23:19 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 17:59:31 UTC


Attachments (Terms of Use)
Log of the first run of yum-complete-transaction (389.53 KB, text/plain)
2011-09-21 09:21 UTC, Milan Bouchet-Valat
no flags Details
Log of the second (interrupted) run of yum-complete-transaction (215.28 KB, text/plain)
2011-09-21 09:21 UTC, Milan Bouchet-Valat
no flags Details

Description Milan Bouchet-Valat 2011-09-21 09:21:34 UTC
Created attachment 524166 [details]
Log of the first run of yum-complete-transaction

Today I tried to run the updates, and they failed while installing the kernel because of a lack of free space. I freed a few things, and ran yum-complete-transaction as gnome-packagekit was telling me. The first attempt failed with dependencies errors I didn't understand (see first log). I ran it a second time, and it printed a lot of things, basically planning to remove everything on the system, so I stopped it (see second log).

I think this shouldn't happen (of course). The original error wasn't so terrible yum can't recover directly from it without a clued human intervening in the process. So I can help if you want to debug this, and BTW I'd be happy to fix my system too. ;-)

Comment 1 Milan Bouchet-Valat 2011-09-21 09:21:58 UTC
Created attachment 524167 [details]
Log of the second (interrupted) run of yum-complete-transaction

Comment 2 Fedora Admin XMLRPC Client 2012-04-27 15:40:36 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora End Of Life 2012-08-07 17:59:34 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.